{
  "$schema": "https://docs.renovatebot.com/renovate-schema.json",
  "extends": ["config:recommended"],
  "baseBranchPatterns": ["next"],
  "ignorePaths": [
    "**/node_modules/**",
    "**/bower_components/**",
    "packages/webapp/public/98.css/**"
  ],
  "packageRules": [
    {
      "matchManagers": ["bun", "npm"],
      "matchUpdateTypes": ["minor", "patch"],
      "groupName": "bun minor+patch updates",
      "groupSlug": "bun-minor-patch"
    },
    {
      "matchManagers": ["dockerfile", "docker-compose"],
      "matchUpdateTypes": ["minor", "patch", "digest"],
      "groupName": "docker minor+patch+digest updates",
      "groupSlug": "docker-minor-patch-digest"
    }
  ]
}
